FROM ubuntu:22.04
RUN apt-get update && apt-get install -y \
    librbd-dev \
    librados-dev \
    && rm -rf /var/lib/apt/lists/*

RUN mkdir /app
WORKDIR /app
COPY ./rbd-exporter /app/rbd-exporter
EXPOSE 9040

CMD [ "./rbd-exporter" ]